Opened 5 years ago

Closed 5 years ago

#51954 closed update (fixed)

py-lmfit: update to 0.9.5; remove py26

Reported by: reneeotten (Renee Otten) Owned by: jjstickel (Jonathan Stickel)
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc:
Port: py-lmfit

Description


Attachments (1)

py-lmfit.diff (995 bytes) - added by reneeotten (Renee Otten) 5 years ago.

Download all attachments as: .zip

Change History (6)

comment:1 Changed 5 years ago by dbevans (David B. Evans)

Cc: jjstickel@… removed
Owner: changed from macports-tickets@… to jjstickel@…

Probably ought to remove py33 as well.

Changed 5 years ago by reneeotten (Renee Otten)

Attachment: py-lmfit.diff added

comment:2 Changed 5 years ago by reneeotten (Renee Otten)

thanks for the quick response - I have updated the diff! The reason that I only removed py26 is that this version is not support anymore by py-lmfit. This is my first small update to a Portfile after using MacPorts for several years and I am not fully aware of how these things should be done... In general, which python version should be included; only py27 and py34 and above in the 2.x and 3.x series, respectively?

Thanks, Renee

comment:3 in reply to:  2 Changed 5 years ago by dbevans (David B. Evans)

Replying to ottenr.work@…:

In general, which python version should be included; only py27 and py34 and above in the 2.x and 3.x series, respectively?

Thanks, Renee

Yes, that's recommended at this point. Currently there's an effort to remove support for py26 and py33 from the various modules. Of course, that assumes that the module supports both python2 and python3.

comment:4 Changed 5 years ago by jjstickel (Jonathan Stickel)

Thanks for the patch. I tested with python-3.5. All looks good to me. Please commit.

comment:5 Changed 5 years ago by dbevans (David B. Evans)

Resolution: fixed
Status: newclosed

Committed in r151136.

Note: See TracTickets for help on using tickets.